/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The DeleteLockRequest model module.
 * @module model/DeleteLockRequest
 * @version 2021.12-dev21
 */
class DeleteLockRequest {
    /**
     * Constructs a new <code>DeleteLockRequest</code>.
     * @alias module:model/DeleteLockRequest
     */
    constructor() { 
        
        DeleteLockRequest.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>DeleteLockRequest</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/DeleteLockRequest} obj Optional instance to populate.
     * @return {module:model/DeleteLockRequest} The populated <code>DeleteLockRequest</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new DeleteLockRequest();

            if (data.hasOwnProperty('pair')) {
                obj['pair'] = ApiClient.convertToType(data['pair'], 'String');
            }
            if (data.hasOwnProperty('lockid')) {
                obj['lockid'] = ApiClient.convertToType(data['lockid'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * @member {String} pair
 */
DeleteLockRequest.prototype['pair'] = undefined;

/**
 * @member {Number} lockid
 */
DeleteLockRequest.prototype['lockid'] = undefined;






export default DeleteLockRequest;

